about summary refs log tree commit diff
path: root/test/ppmrough.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/ppmrough.test')
-rw-r--r--test/ppmrough.test18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/ppmrough.test b/test/ppmrough.test
new file mode 100644
index 00000000..1de8dd1b
--- /dev/null
+++ b/test/ppmrough.test
@@ -0,0 +1,18 @@
+#! /bin/bash
+# This script tests: ppmrough
+# Also requires: pgmnoise
+
+
+${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+case $? in
+   81)
+      # Should print: 378403602 30015
+      ${PBM_TESTPREFIX}ppmrough  -randomseed 1 | cksum
+      ;;
+
+   8[02-9] | 90)
+       echo "Skipping: random number generator is not glibc." 1>&2
+       exit 80;;
+
+   *)  exit 1;;  # pgmnoise --testrandom failed
+esac